JUnit4GrailsTestType (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.junit4
[Groovy] Class JUnit4GrailsTestType

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestTypeSupport
          org.codehaus.groovy.grails.test.junit4.JUnit4GrailsTestType

    @java.lang.Deprecated
    class JUnit4GrailsTestType
    extends GrailsTestTypeSupport

An `GrailsTestType` for JUnit4 tests.

deprecated:
  No longer used to support alternate JUnit4 test runners

Field Summary
`protected GrailsTestMode` | `mode`
`protected java.lang.Object` | `suite`

Property Summary
`static java.util.List` | `SUFFIXES`

Constructor Summary
`JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory)`
`JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)`

Method Summary
`protected java.lang.Object` | `createJUnitReportsFactory()`
`protected java.lang.Object` | `createListener(GrailsTestEventPublisher eventPublisher)`
`protected java.lang.Object` | `createNotifier(java.lang.Object eventPublisher)`
`protected java.lang.Object` | `createRunnerBuilder()`
`protected java.lang.Object` | `createSuite(java.lang.Object classes)`
`protected int` | `doPrepare()`
`protected GrailsTestTypeResult` | `doRun(GrailsTestEventPublisher eventPublisher)`
`protected java.lang.Object` | `getTestClasses()`
`protected java.util.List` | `getTestSuffixes()`

Methods inherited from class GrailsTestTypeSupport
cleanup, createSystemOutAndErrSwapper, doPrepare, doRun, eachSourceFile, findSourceFiles, getApplicationContext, getSourceDir, getTestClassLoader, getTestExtensions, getTestSuffixes, loadClass, prepare, run, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### mode

    protected GrailsTestMode mode

### suite

    protected java.lang.Object suite

Property Detail

### SUFFIXES

    static final java.util.List SUFFIXES

Constructor Detail

### JUnit4GrailsTestType

    JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory)

### JUnit4GrailsTestType

    JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)

Method Detail

### createJUnitReportsFactory

    @groovy.transform.CompileStatic
    protected java.lang.Object createJUnitReportsFactory()

### createListener

    protected java.lang.Object createListener(GrailsTestEventPublisher eventPublisher)

### createNotifier

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.Object createNotifier(java.lang.Object eventPublisher)

### createRunnerBuilder

    protected java.lang.Object createRunnerBuilder()

### createSuite

    protected java.lang.Object createSuite(java.lang.Object classes)

### doPrepare

    protected int doPrepare()

### doRun

    protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

### getTestClasses

    protected java.lang.Object getTestClasses()

### getTestSuffixes

    protected java.util.List getTestSuffixes()

Groovy Documentation